summaryrefslogtreecommitdiffstats
path: root/wine
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2020-09-30 09:19:30 +0000
committer Eric Hameleers <alien@slackware.com>2020-09-30 09:19:30 +0000
commit7b5baded56fd20b63150f8c4c2587da8f421625f (patch)
treed0ea6eec9b66a5585728bd8d04385f0be7e8f907 /wine
parent793d32c919cb46f2334c0c14ff7b1468839ad12f (diff)
downloadasb-7b5baded56fd20b63150f8c4c2587da8f421625f.tar.gz
asb-7b5baded56fd20b63150f8c4c2587da8f421625f.tar.xz
wine: update to 5.18. Make vkd3d a new dependency
Diffstat (limited to 'wine')
-rwxr-xr-xwine/build/wine.SlackBuild46
1 files changed, 24 insertions, 22 deletions
diff --git a/wine/build/wine.SlackBuild b/wine/build/wine.SlackBuild
index c7382b6f..fa25be89 100755
--- a/wine/build/wine.SlackBuild
+++ b/wine/build/wine.SlackBuild
@@ -31,7 +31,7 @@
# Buildneeds:MinGW-w64
# fontforge (builds better fonts when compiling wine)
# Needs: (Slackware 14.2:) OpenAL
-# FAudio
+# FAudio,vkd3d
# Changelog:
# 0.9.23-1: 24/Oct/2006 by Eric Hameleers <alien@slackware.com>
# * Initial build.
@@ -130,6 +130,8 @@
# * Update.
# 5.17-1 25/sep/2020 by Eric Hameleers <alien@slackware.com>
# * Update. Add Windows PE binary support using mingw-w64.
+# 5.18-1 29/sep/2020 by Eric Hameleers <alien@slackware.com>
+# * Update.
#
# Run 'sh wine.SlackBuild' to build a Slackware package.
# The package (.txz) plus descriptive .txt file are created in /tmp .
@@ -139,7 +141,7 @@
PRGNAM=wine
-SRCVER=${SRCVER:-"5.17"}
+SRCVER=${SRCVER:-"5.18"}
VERSION=$(echo $SRCVER | tr '-' '.')
VERMAJ=$(echo $VERSION | cut -d. -f1)
BUILD=${BUILD:-1}
@@ -150,24 +152,6 @@ DOCS="ANNOUNCE AUTHORS COPYING.LIB ChangeLog LICENSE* README VERSION"
# If you do not want wine64 on Slackware64, set this to "no":
DO_WINE64=${DO_WINE64:-"yes"}
-# Determine whether we have the tools to compile Windows native binaries:
-if [ "$ARCH" == "x86_64" ]; then
- WIN_COMPILERS="x86_64-w64-mingw32-gcc i686-w64-mingw32-gcc winegcc"
- WIN32_ARCH="i686"
-else
- WIN_COMPILERS="i586-w64-mingw32-gcc winegcc"
- WIN32_ARCH="i586"
-fi
-if ! which ${WIN_COMPILERS} 2>/dev/null ; then
- cat <<EOT
-**
-** If you want to add support for Windows native binaries (PE format),
-** please install MinGW-w64 package first and login again to update PATH.
-**
-EOT
- sleep 5
-fi
-
# Add the "Gecko", Wine's own implementation of Internet Explorer.
# For matching wine-gecko & wine versions, see http://wiki.winehq.org/Gecko
GECKO=${GECKO:-2.47.1}
@@ -228,6 +212,24 @@ case "$ARCH" in
*) TARGET=$ARCH-slackware-linux ;;
esac
+# Determine whether we have the tools to compile Windows native binaries:
+if [ "$ARCH" == "x86_64" ]; then
+ WIN_COMPILERS="x86_64-w64-mingw32-gcc i686-w64-mingw32-gcc"
+ WIN32_ARCH="i686"
+else
+ WIN_COMPILERS="i586-w64-mingw32-gcc"
+ WIN32_ARCH="i586"
+fi
+if ! which ${WIN_COMPILERS} 1>/dev/null 2>/dev/null ; then
+ cat <<EOT
+**
+** If you want to add support for Windows native binaries (PE format),
+** please install MinGW-w64 package first and login again to update PATH.
+**
+EOT
+ sleep 5
+fi
+
# Download locations:
DLI=0
SOURCE[$DLI]="$SRCDIR/${PRGNAM}-${SRCVER}.tar.xz"
@@ -480,10 +482,10 @@ fi
# Strip binaries
find $PKG | xargs file | grep -e "executable" -e "shared object" \
| grep ELF | cut -f1 -d: | xargs strip --strip-unneeded 2>/dev/null || true
-if which ${WIN_COMPILERS} 2>/dev/null ; then
+if which ${WIN_COMPILERS} 1>/dev/null 2>/dev/null ; then
${WIN32_ARCH}-w64-mingw32-strip --strip-unneeded $PKG/usr/lib/wine/*.dll
if [ "$ARCH" == "x86_64" ]; then
- x86_64-w64-mingw32-strip --strip-unneeded $pKG/usr/lib64/wine/*.dll
+ x86_64-w64-mingw32-strip --strip-unneeded $PKG/usr/lib64/wine/*.dll
fi
fi